#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libvirt-glib
Version		:	4.0.0
Release		:	14.8.0.0%{?dist}
Summary		:	libvirt glib integration for events

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://libvirt.org/
			#https://libvirt.org/sources/glib

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	libvirt-devel
BuildRequires	:	gettext
BuildRequires	:	meson
BuildRequires	:	ninja
#-----------------------------------------------------------------------------
%description
This package provides integration between libvirt and the glib
event loop.


#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{_libdir}/libvirt-gconfig-1.0.so.*
%{_libdir}/libvirt-glib-1.0.so.*
%{_libdir}/libvirt-gobject-1.0.so.*
%{_libdir}/girepository-1.0/LibvirtGConfig-1.0.typelib
%{_libdir}/girepository-1.0/LibvirtGLib-1.0.typelib
%{_libdir}/girepository-1.0/LibvirtGObject-1.0.typelib
 
#=============================================================================
%package		devel
Summary		:	libvirt glib integration for events development files

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package provides development header files and libraries for
integration between libvirt and the glib event loop.
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc examples/event-test.c
%{_includedir}/%{name}-1.0/%{name}/%{name}.h
%{_includedir}/%{name}-1.0/%{name}/%{name}-*.h
%{_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/libvirt-gconfig.h
%{_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/libvirt-gconfig-*.h
%{_includedir}/libvirt-gobject-1.0/libvirt-gobject/libvirt-gobject.h
%{_includedir}/libvirt-gobject-1.0/libvirt-gobject/libvirt-gobject-*.h
%{_libdir}/libvirt-gconfig-1.0.so
%{_libdir}/libvirt-glib-1.0.so
%{_libdir}/libvirt-gobject-1.0.so
%{_libdir}/pkgconfig/libvirt-gconfig-1.0.pc
%{_libdir}/pkgconfig/libvirt-glib-1.0.pc
%{_libdir}/pkgconfig/libvirt-gobject-1.0.pc
%{_datadir}/gir-1.0/LibvirtGConfig-1.0.gir
%{_datadir}/gir-1.0/LibvirtGLib-1.0.gir
%{_datadir}/gir-1.0/LibvirtGObject-1.0.gir
%{_datadir}/gtk-doc/html/Libvirt-gconfig/*.html
%{_datadir}/gtk-doc/html/Libvirt-gconfig/*.png
%{_datadir}/gtk-doc/html/Libvirt-gconfig/style.css
%{_datadir}/gtk-doc/html/Libvirt-glib/*.html
%{_datadir}/gtk-doc/html/Libvirt-glib/*.png
%{_datadir}/gtk-doc/html/Libvirt-glib/style.css
%{_datadir}/gtk-doc/html/Libvirt-gobject/*.html
%{_datadir}/gtk-doc/html/Libvirt-gobject/*.png
%{_datadir}/gtk-doc/html/Libvirt-gobject/style.css
%{_datadir}/vala/vapi/libvirt-glib-1.0.deps
%{_datadir}/vala/vapi/libvirt-glib-1.0.vapi
%{_datadir}/vala/vapi/libvirt-gconfig-1.0.deps
%{_datadir}/vala/vapi/libvirt-gconfig-1.0.vapi
%{_datadir}/vala/vapi/libvirt-gobject-1.0.deps
%{_datadir}/vala/vapi/libvirt-gobject-1.0.vapi



#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D rpath=disabled				\
	build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
